Skip to main content
POST
/
v1
/
events
/
export
Retrieve events based on filters
curl --request POST \
  --url https://api.honeyhive.ai/v1/events/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project": "<string>",
  "filters": [
    {
      "field": "<string>",
      "operator": "exists",
      "value": "<string>",
      "type": "string"
    }
  ],
  "dateRange": {
    "$gte": "<string>",
    "$lte": "<string>"
  },
  "projections": [
    "<string>"
  ],
  "limit": 123,
  "page": 123
}
'
{
  "events": [
    {
      "project": "<string>",
      "project_id": "<string>",
      "source": "<string>",
      "event_name": "<string>",
      "event_type": "model",
      "event_id": "<string>",
      "session_id": "<string>",
      "parent_id": "<string>",
      "children_ids": [
        "<string>"
      ],
      "config": {},
      "inputs": {},
      "outputs": {},
      "error": "<string>",
      "start_time": 123,
      "end_time": 123,
      "duration": 123,
      "metadata": {},
      "feedback": {},
      "metrics": {},
      "user_properties": {}
    }
  ],
  "totalEvents": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for GET /events legacy endpoint

project
string
required

Name of the project

filters
object[]
required

Array of filter conditions

dateRange
object
projections
string[]

Fields to include in the response

limit
number

Limit number of results (default 1000, max 7500)

page
number

Page number of results (default 1)

Response

200 - application/json

Success

Response for GET /events legacy endpoint

events
object[]
required
totalEvents
number
required